Tenseur_sym calculus
Old tensorial fields (*** Deprecated ***)

() More...

## Functions

Tenseur_sym | Lorene::operator* (const Tenseur &t1, const Tenseur_sym &t2)
| Tensorial product.
Tenseur_sym | Lorene::manipule (const Tenseur_sym &t1, const Metrique &met)
| Raise or lower all the indices, depending on their type, using the given `Metrique` .
Tenseur_sym | Lorene::lie_derive (const Tenseur_sym &t, const Tenseur &x, const Metrique *=0x0)
| Lie Derivative of `t` with respect to `x` .
Tenseur_sym | Lorene::sans_trace (const Tenseur_sym &tens, const Metrique &metre)
| Computes the traceless part of a `Tenseur_sym` of valence 2.

## Detailed Description

()

## Function Documentation

## lie_derive()

Tenseur_sym Lorene::lie_derive | ( | const Tenseur_sym & | t,
|  | const Tenseur & | x,
|  | const Metrique * | met = 0x0 )

Lie Derivative of `t` with respect to `x` .

If no other argument is given, it uses partial derivatives with respect to cartesian coordinates to calculate the result (this is the default). Otherwise, it uses the covariant derivative associated to the metric given as last argument.

Definition at line 154 of file tenseur_sym_operateur.C.

References contract(), Lorene::Tenseur::derive_cov(), Lorene::Tenseur_sym::donne_indices(), Lorene::Tenseur::get_etat(), Lorene::Tenseur::get_metric(), Lorene::Tenseur::get_mp(), Lorene::Tenseur::get_n_comp(), Lorene::Tenseur::get_poids(), Lorene::Tenseur::get_triad(), Lorene::Tenseur::get_type_indice(), Lorene::Tenseur::get_valence(), Lorene::Tenseur::gradient(), Lorene::Base_vect::identify(), Lorene::Itbl::set(), Lorene::Tenseur::set(), Lorene::Itbl::set_etat_qcq(), and x.

## manipule()

Tenseur_sym Lorene::manipule | ( | const Tenseur_sym & | t1,
|  | const Metrique & | met )

Raise or lower all the indices, depending on their type, using the given `Metrique` .

Definition at line 137 of file tenseur_sym_operateur.C.

## operator*()

Tenseur_sym Lorene::operator* | ( | const Tenseur & | t1,
|  | const Tenseur_sym & | t2 )

Tensorial product.

Definition at line 84 of file tenseur_sym_operateur.C.

## sans_trace()

Tenseur_sym Lorene::sans_trace | ( | const Tenseur_sym & | tens,
|  | const Metrique & | metre )

Computes the traceless part of a `Tenseur_sym` of valence 2.

Parameters

  tens | [input] the `Tenseur_sym` of valence 2
  metre | [input] the metric used to raise or lower the indices

Returns
  The traceless part of the input `Tenseur_sym`

Definition at line 237 of file tenseur_sym_operateur.C.

References contract(), Lorene::Tenseur::get_etat(), Lorene::Tenseur::get_metric(), Lorene::Tenseur::get_mp(), Lorene::Tenseur::get_poids(), Lorene::Tenseur::get_triad(), Lorene::Tenseur::get_type_indice(), Lorene::Tenseur::get_valence(), manipule(), Lorene::Itbl::set(), Lorene::Tenseur::set(), Lorene::Itbl::set_etat_qcq(), Lorene::Tenseur::set_etat_qcq(), and Lorene::Tenseur::set_std_base().